NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.MirrorFaceBuilder Class Reference

Represents a NXOpen.Features.MirrorFace builder More...

Inheritance diagram for NXOpen.Features.MirrorFaceBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  MirrorPlaneOptions { Existing, New }
 Represents the mirror plane options More...
 

Properties

unsafe NXOpen.SelectISurface ExistingMirrorPlane [get]
 Returns the existing mirror plane More...
 
unsafe
NXOpen.Features.FaceRecognitionBuilder 
FaceToMirror [get]
 Returns the face to mirror. More...
 
unsafe
NXOpen.Features.MirrorFaceBuilder.MirrorPlaneOptions 
MirrorPlaneOption [get, set]
 Returns or sets the mirror plane option More...
 
unsafe NXOpen.Plane NewMirrorPlane [get, set]
 Returns or sets the new mirror plane More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.MirrorFace builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateMirrorFaceBuilder

Default values.

Property Value

FaceToMirror.CoaxialEnabled

0

FaceToMirror.CoplanarAxesEnabled

0

FaceToMirror.CoplanarEnabled

0

FaceToMirror.EqualDiameterEnabled

0

FaceToMirror.OffsetEnabled

0

FaceToMirror.ParallelEnabled

0

FaceToMirror.PerpendicularEnabled

0

FaceToMirror.SameOrbitEnabled

0

FaceToMirror.SymmetricEnabled

0

FaceToMirror.TangentEnabled

0

FaceToMirror.ThicknessChainEnabled

0

FaceToMirror.UseFaceBrowse

1

Created in NX6.0.0

Member Enumeration Documentation

Represents the mirror plane options

Enumerator
Existing 

Existing Plane

New 

New Plane

Property Documentation

unsafe NXOpen.SelectISurface NXOpen.Features.MirrorFaceBuilder.ExistingMirrorPlane
get

Returns the existing mirror plane

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.FaceRecognitionBuilder NXOpen.Features.MirrorFaceBuilder.FaceToMirror
get

Returns the face to mirror.

Please refer NXOpen.Features.FaceRecognitionBuilder for details.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.MirrorFaceBuilder.MirrorPlaneOptions NXOpen.Features.MirrorFaceBuilder.MirrorPlaneOption
getset

Returns or sets the mirror plane option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Plane NXOpen.Features.MirrorFaceBuilder.NewMirrorPlane
getset

Returns or sets the new mirror plane

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.